import EuiBasePage from '../eui-base.po.js'
import CoUxDynamicModal from '../../../../components/10x/ux/ux-dynamic-modal.js'
import ButtonPage from '../../../../pages/eui/10x/ux/ux-button-10x.po.js'

export default class DynamicModalPage extends EuiBasePage {
  constructor() {
      super();
  }
  get buttonPage() {
    return new ButtonPage;
  }
  dynamicModalByIndex(index) {
    let dynamicModal1 =  new CoUxDynamicModal('//body');
    return dynamicModal1.byIndex(index);
  }
  dynamicModalByTextContains(text) {
    let dynamicModal1 = new CoUxDynamicModal('//body');
    return dynamicModal1.byTextContains(text);
  }
  dynamicModalByTextEqualsAndIndex(text, index, normalize=true) {
    let dynamicModal1 = new CoUxDynamicModal('//body');
    return dynamicModal1.byTextEqualsAndIndex(text, index, normalize);
  }
}


